﻿/*Config Start*/

.container-fluid{
    margin-top: 0px !important;
    margin-bottom: 0px !important;
}

#configIndex{
    flex-grow: 0.2;
    position: sticky;
    top: 20px;
    display: block;
    background-color: inherit;
    /*z-index: 100;*/
}

form {
    width: inherit;
}

.options > ul, .indexButton > a{
    color: #5E5E5E;
    font-style: normal;
    font-weight: 500;
    line-height: 2rem;
    letter-spacing: 0.03rem;
    text-transform: capitalize;
    margin-bottom: 0px;
    padding: 0px;
}

.indexButtonClicked p{
    color: #000;
    font-weight: bold;
}

#navi li {
    list-style-type: none;
}

.wiggle {
  animation: wiggle 0.6s infinite;
}

@keyframes wiggle {
  0% {
    transform: scale(1);
  }
  50% {
    transform: scale(3);
  }
  100% {
    transform: scale(1);
  }
}

.row
{
    margin-left: 0px !important;
    margin-right: 0px !important;
}

.index{
    /*color: #5A5A5A;*/
    /*font-family: Lato;*/
    font-size: 1.2rem;
    font-style: normal;
    font-weight: 500;
    line-height: 1.25rem;
    letter-spacing: 0.075rem;
    text-transform: capitalize;
    padding-left: 15px;
}

.options {
  border: 0px;
  border-radius: 8px;
  height: auto;
  padding: 5px;
  background-color: #fff;
  /*box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.175);*/
  font-size: 1rem;
  text-align: left;
}

.config,
.config h3,
.config i
{
    color: var(--VDS_Black, #000);
    font-size: 1.1rem;
    /*letter-spacing: 0.075rem;*/
    text-transform: capitalize;
}

.config-text-fields,
.config-text-fields h3,
.config-text-fields p,
.config-text-fields .row
{
    margin-top: 0px !important;
    margin-bottom: 0px !important;
}

.title {
    /*font-family: Lato;*/
    font-style: normal;
    font-weight: 600;
    line-height: 1.25rem;

    display: flex;
    justify-content: space-between;
    align-items: center;

    width: 100%;
}

.mini-title {
    /*font-family: Lato;*/
    font-style: normal;
    font-weight: 500 !important;
    line-height: 1rem !important;
    background-color: #fafafa;
    font-size: 0.9rem;
    display: flex;
    justify-content: space-between;
    align-items: center;

    width: 100%;
}

.title h3 {
    margin-right: auto !important;
}

#toggle-icon {
    transition: transform 0.6s ease;
}

#toggle-icon.collapsed {
    transform: rotate(180deg);
}

.configuration-description {
    color: #595959;
    /*font-family: Lato;*/
    font-size: 0.8rem;
    font-style: normal;
    font-weight: 500;
    line-height: 1.25rem;
    letter-spacing: 0.075rem;
}

.configuration-selection-title{
    color: var(--VDS_DarkestGrey, #47494B);
    /*font-family: Lato;*/
    font-size: 0.8rem;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    letter-spacing: 0.01875rem;
    text-transform: capitalize;
    margin-bottom: 0px !important;
}

.highlightedSection {
    color: var(--VDS_Green, #007A35);
    padding-right: 5px;
}

.config-radio-buttons > .k-radio-label,
.config-radio-buttons > .k-checkbox-label{
    color: var(--VDS_DarkestGrey, #47494B);
    /*font-family: Lato;*/
    font-size: 1rem;
    font-style: normal;
    font-weight: 400 !important;
    line-height: normal;
    letter-spacing: 0.01875rem;
    text-transform: capitalize;
    margin-bottom: 0px !important;
}

.config-radio-buttons{
    display: flex;
    align-items: flex-start;
    flex-wrap: wrap;
}

.spacer {
    width: 14px;
    flex: 0 0 auto;
}

.config-save-button{
    padding-left: 0px !important;
}

.config-save-button > .k-button{
    background-color: var(--VDS_Blue);
    border: 0px;
    padding-left: 24px;
    padding-right: 24px;
    padding-top: 10px;
    padding-bottom: 10px;
}

.component-content{
    padding: 24px 27px;
}

.config-cards{
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 18px;
}

.config-textbox > .k-textbox
{
    border-radius: 8px;
    border: 1px solid var(--VDS_LinesGrey, #B2B4B8);
    background: var(--VDS_FaintestBlue, #FBFDFF);
    width: 100% !important;
    margin-right: 20px !important;
}

.config-textbox-selector,
.config-textbox-selector > .k-numeric-wrap,
.config-textbox-selector > .k-link,
.config-textbox-selector > .k-dropdown-wrap
 {
    border-radius: 8px !important;
    background: var(--VDS_FaintestBlue, #FBFDFF);
    width: auto;
}

.config-dropdown-selector > .k-multiselect,
.config-dropdown-selector > .k-multiselect-wrap {
    border-radius: 8px !important;
    background: var(--VDS_FaintestBlue, #FBFDFF);
}

.config-textbox > .k-multiselect::after{
    content: "\25BC";
    top: -85%;
    left: 97.5%;
    font-size: 12px;
    opacity:0;
}

.config-textbox > .config-dropdown-selector{
    max-width: 100% !important;
    width: 100% !important;
    margin-right: 20px !important;
    border-radius: 8px !important;
    height: 100% !important;
}

.k-select{
    border-radius: 8px !important;
}

table.k-editor {
    border-radius: 8px !important;
}

iframe.k-content {
    max-height: 250px;
}

.editorToolbarWindow.k-header, .k-editor.k-header, .k-filebrowser .k-header {
    max-height: 500px;
}

#unsavedChanges{
    position: fixed;
    bottom: 0;
    right: 0;
    opacity: 90%;
}

.k-upload{
    border: 0px !important;
}

.k-upload-button, .k-upload-button:hover {
    border-color: var(--VDS_Blue);
    padding:14px;

    color: black;
    font-size: 0.875rem;
    font-style: normal;
    font-weight: 500;
    line-height: 1.25rem; /* 142.857% */
    letter-spacing: 0.0125rem;
    /*text-transform: uppercase;*/
}
/* Config End*/

/* DropDown Menu*/

.mini-header{
    background-color: white !important;
    padding: 0;
    z-index: 1;
}

.nav{
    width: 100%;
}

 .workflowButtons {
    width: 100%;
    height: 100%;
    flex-wrap: nowrap;
}

.sidebar-mini .main-sidebar .nav-link, .sidebar-mini-md .main-sidebar .nav-link, .sidebar-mini-xs .main-sidebar .nav-link, .dropdown .nav-link, #toggleButton{
    transition: transform 0.3s ease, opacity 0.3s ease, border-bottom 0.1s ease, background-color 0.3s ease;
    opacity: 0.85;
    border-radius: 12px;
}

#toggleButton:hover{
    border-radius: 4px;
    transform: scale(1.05);
    opacity: 1 !important;
    background-color: var(--FIT_Highlight);
}

.dropdown-item.active, .dropdown-item:active {
    color: #fff;
    text-decoration: none;
    background-color: var(--VDS_FaintestBlue, #FBFDFF);

}
.k-autocomplete .k-input, .k-multiselect-wrap, .k-textbox>input{
    border-radius: 8px !important;
}

@keyframes fadeInSlideDown {
    from {
        opacity: 0;
        transform: translateY(-20px);
    }
    to {
        opacity: 1;
        transform: translateY(0);
    }
}

.k-checkbox+.k-checkbox-label:before, .k-checkbox+.k-checkbox-label:after{
    z-index: 0;
}

.sidebar{
    display: flex !important;
    justify-content: center;
    align-items: flex-start;
    margin-top: 55px;
}

.nav-sidebar{
    gap: 1vh;
}

.nav-sidebar > .nav-item .nav-icon {
    font-size: 1.3rem !important;
}

.sidebar-mini.sidebar-collapse .main-sidebar, .sidebar-mini.sidebar-collapse .main-sidebar::before,
.main-sidebar {
    border-radius: 0px 1px 1px 0px;
}

.bg-black {
    background-color: #04050C;
    color: #fff !important;
    backdrop-filter: blur(20px);
}

.sidebar-item{
    display: flex !important;
    flex-direction: column !important;
    align-items: center !important;
}

.sidebar-mini .main-sidebar .nav-link, .sidebar-mini-md .main-sidebar .nav-link, .sidebar-mini-xs .main-sidebar .nav-link{
    width: 5.5rem;
    text-wrap: balance !important;
    text-align: center !important;
}

.sidebar .nav-link p{
    text-align: center;
}

.brand-link .brand-image{
    position: relative;
    /*left: 0;*/
    margin: 0 !important;
}

#toggleButton{
    border: 0px;
}

#AreaChart{
    height: 250px !important;
}

/*.k-tabstrip:hover {
    -webkit-box-shadow: 0 2px 6px rgba(0,0,0,.2), 0 2px 3px rgba(0,0,0,.05);
    box-shadow: 0 2px 6px rgba(0,0,0,.2), 0 2px 3px rgba(0,0,0,.05) !important;
}*/

.k-tabstrip{
    box-shadow: 0;
    transition: box-shadow 0.3s ease !important;

}

.k-grid tr:hover{
    transition: background-color 0.3s ease !important; 
}

.graphStats:hover{
    backdrop-filter: blur(15px);
    transition: background 2s ease !important;
}

.graphStats{
    background-color: white;
    /*transition: background 1s ease;*/
    /*background: linear-gradient(#ffffff, #094dae0f);*/
    position: relative;
    /*background: linear-gradient(#ffffff, #00000003);*/
    border-radius: 15px;
    /*box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;*/
    padding: 15px;
    display: flex;
    flex-direction: column;  
    max-width: 900px;
    min-width: 600px;
}

.quickLinks{
    background-color: white;
    position: relative;
    border-radius: 15px;
    /*box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;*/
    padding: 15px;
    display: flex;
    flex-direction: column;  
    max-width: 250px;
    min-width: 200px;
    min-height: 305px;

}

/*.widgetBoard{
    display: flex;
    height: 235px;
    justify-content: flex-end;
    align-items: flex-start;
    gap: 10px;
    align-self: stretch;
}*/

.dashboard-boxes {
    /*background-color: #094dae0f;*/
    backdrop-filter: blur(10px);
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
}

.graph{
    flex-grow: 1;
}

.workflows{
    flex-grow: 1;
}

.jotform-actions{
    display: flex;
    align-items: center;
    height: 100%;
    justify-content: space-evenly;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    flex-direction: column;
}

.workflowButton{
    justify-content: flex-start;
    margin-top: 3px;
    margin-bottom: 3px;
    border-radius: 12px;
    box-shadow: inset 0px 0px 15px #00000014;
    transition: all 0.2s ease;
    display: flex;
    flex-direction: row;
    align-items: center !important;
    text-align: center;
    padding-left: 15px;
    padding-right: 15px;

}

.workflowButton:hover{
    display: flex;
    transition: all 0.2s ease;
    transform: scale(1.01);
    opacity: 1 !important;
    background-color: var(--FIT_Highlight);
    padding-left: 15px;
}

.workflow-icon{
    font-size: 1.3rem !important;
    min-width: 1.5rem;
}

.notifications-tab-wrapper{
    padding: 0px !important;
}

.notification-tabs > .k-reset.k-tabstrip-items{
    padding: 0px !important;
    display: flex;
    justify-content: center;
    line-height: 1 !important;
    background-color: transparent;
    box-shadow: none;
}

.dropdown-menu-right{
    right: 0;
    top: 95% !important;
    left: auto !important;
    margin: 0 !important;
}

/* Menu End*/

.parentChildVisual{
    border-radius: 20px;
    background: linear-gradient(72deg, rgb(44 54 128) -32.14%, rgb(51 117 142) 51.96%, rgb(55 156 150) 128.05%);
    box-shadow: 0px 0px 4px 0px rgba(0, 0, 0, 0.25);
    backdrop-filter: blur(2px);
    display: flex;
    padding: 3px;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    width: fit-content;
}

    .parentChildVisual .innerParentChildVisual{
        width:fit-content;
        padding: 5px 15px; 
        font-weight: 900; 
        display: flex; 
        gap: 2px;
        justify-content:center;
        align-items: flex-end;
        border-radius: 17px;
        border: 1.5px solid rgba(0, 0, 0, 0.20);
        background: rgba(255, 255, 255, 0.10);
        box-shadow: 0px 0px 4px 0px rgba(0, 0, 0, 0.17);
    }

    .rounded-btn{
        display: flex;
        padding: 5px 15px;
        justify-content: center;
        align-items: center;
        gap: 5px;
        align-self: stretch;
        width: fit-content;

        border-radius: 17px;
        border: 1.5px solid rgba(0, 0, 0, 0);
        background: rgba(255, 255, 255, 0.10);
        transition: all 0.05s linear;

    }
        /*.rounded-btn.k-*/

        .rounded-btn:hover{
            background: rgba(0, 0, 0, 0.02);
            border: 1.5px solid rgba(0, 0, 0, 0.2);
            box-shadow: 0px 0px 4px 0px rgba(0, 0, 0, 0.01);
        }
        
        .rounded-btn.grey-border{
            border: 1.5px solid rgba(0, 0, 0, 0.1);
        }
       
        .rounded-btn > i{
            color: #4D4C4C;
            font-style: normal;
            line-height: normal;
            text-transform: capitalize;
        }

        .rounded-btn > i:hover{
            color: #000;
        }

        .rounded-btn > p{
            color: #4D4C4C;
            font-family: Mulish;
            font-size: 0.875rem;
            font-style: normal;
            font-weight: 400;
            line-height: normal;
            text-transform: capitalize;
            margin: 0;
        }

        .rounded-btn > p:hover{
            color: #000;
        }

.k-chart-crosshair-tooltip, .k-chart-shared-tooltip, .k-widget.k-tooltip{
    border-radius: 12px;
    padding: 10px;
    border-color: rgb(0 0 0 / 90%);
    background-color: rgb(0 0 0 / 90%);
    line-height: 1;
}

.k-callout-n{
    border-bottom-color: rgb(0 0 0 / 90%);
}

.k-list>.k-state-selected.k-state-focused{
    color: var(--FIT_Highlight);
}

    .seperator{
        border-left: 2px solid #D9D9D9;
        height: 100%;
    }

.seperatorBottom{
    border-bottom: 2px solid #D9D9D9;
    width: 100%;
}

.k-grid-filter.k-state-active, .k-grid-filter:hover {
    /* background-color: #00000042; */
    border-radius: 13px;
    /* border: 5px; */
    /* border: 1.5px solid rgba(0, 0, 0, 0.1); */
    background: rgba(0, 0, 0, 0.05);
    /*border: 1.5px solid rgba(0, 0, 0, 0.2);*/
    box-shadow: 0px 0px 4px 0px rgba(0, 0, 0, 0.01);
}